## xir 1.3.2

=== debian/changelog ===
xir (1.3.2-1) unstable; urgency=low

  [ Punit Agrawal ]
  * Initial release. (Closes: #990738)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 06 Jul 2021 09:59:19 +0900
