=== debian/changelog ===
xir (1.4-2ubuntu1) jammy; urgency=medium

  * d/rules: add -Wno-error=deprecated-declarations to fix the build
    against OpenSSL 3.0

 -- Simon Chopin <simon.chopin@canonical.com>  Tue, 07 Dec 2021 16:19:24 +0100

xir (1.4-2build1) jammy; urgency=medium

  * No-change rebuild against openssl3

 -- Simon Chopin <simon.chopin@canonical.com>  Wed, 24 Nov 2021 12:27:00 +0100

xir (1.4-2) unstable; urgency=medium

  * Update d/control.
    Set arm64, armhf and amd64 supporting architecture.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 21 Oct 2021 11:43:54 +0900

xir (1.4-1) unstable; urgency=medium

  * New upstream released.
  * Add d/patches/Fix-FTBFS-with-Werror-range-loop-construct-Closes-99.patch.
    (Closes: #996583)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 21 Oct 2021 11:43:46 +0900

xir (1.3.2-2) unstable; urgency=medium

  * Fix build bug with recent versions of compiler (Closes: #996583)

 -- Punit Agrawal <punit@debian.org>  Tue, 19 Oct 2021 11:17:02 +0900
