=== debian/changelog ===
xir (2.5-1) unstable; urgency=medium

  * New upstream release.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 03 Aug 2022 16:38:14 +0900

xir (2.0-1) experimental; urgency=medium

  * New upstream release.
  * Update soname to 2.
  * Update d/patches.
    - Remove Fix-FTBFS-with-Werror-range-loop-construct-Closes-99.patch.
    - Refresh patches.
  * Update d/control.
    - Bump Standards-Version to 4.6.0.1.
  * Update d/rules
    - Drop DEB_LDFLAGS_MAINT_APPEND.
      Fix lintian:debian-rules-uses-as-needed-linker-flag.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 07 Jun 2022 07:21:57 +0900

xir (1.4.1-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Don't build with -Werror. (Closes: #1006582)

 -- Adrian Bunk <bunk@debian.org>  Sun, 22 May 2022 22:34:37 +0300

xir (1.4.1-5) unstable; urgency=medium

  [ Vagrant Cascadian ]
  * Pass -DCMAKE_BUILD_RPATH_USE_ORIGIN=ON via dh_auto_configure override.
    (Closes: #1005420)

  [ Punit Agrawal ]
  * Add a patch to remove build date from the embedded version
    (Closes: #1005421)

 -- Punit Agrawal <punit@debian.org>  Sun, 13 Feb 2022 16:36:14 +0900

xir (1.4.1-4) unstable; urgency=medium

  * Update d/control.
    - Change Maintainer and Uploaders. Set team email address to Maintainer.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 21 Jan 2022 04:35:15 +0900

xir (1.4.1-3) unstable; urgency=medium

  * Upload to unstable.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 20 Jan 2022 10:04:28 +0900

xir (1.4.1-2) experimental; urgency=medium

  * Update d/control:
      - Add armel to Support architecture.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 19 Jan 2022 11:42:49 +0900

xir (1.4.1-1) unstable; urgency=medium

  * New upstream released.
  * Update d/control
    - Update Maintainer and Uploaders.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 22 Dec 2021 20:45:12 +0900
