=== debian/control ===
--- 
+++ 
@@ -1,23 +1,23 @@
 Source: xir
+Maintainer: Debian Xilinx Package Maintainers <team+pkg-xilinx@tracker.debian.org>
+Uploaders: Punit Agrawal <punit@debian.org>,
+           Nobuhiro Iwamatsu <iwamatsu@debian.org>
+Priority: optional
 Section: libs
-Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Punit Agrawal <punit@debian.org>
-Uploaders: Nobuhiro Iwamatsu <iwamatsu@debian.org>
 Build-Depends: cmake, debhelper-compat (= 13),
 	libboost-dev,
 	libprotobuf-dev,
 	libssl-dev,
-	libunilog-dev,
+	libunilog-dev (>= 2.5),
 	protobuf-compiler
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://github.com/Xilinx/Vitis-AI
 Vcs-Git: https://salsa.debian.org/xilinx-packages-team/vitis-ai/xir.git
 Vcs-Browser: https://salsa.debian.org/xilinx-packages-team/vitis-ai/xir
 
-Package: libxir1
-Architecture: amd64 arm64 armhf
+Package: libxir2
+Architecture: amd64 arm64 armhf armel
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Xilinx Intermediate Representation (XIR) for deep learning algorithms (runtime)
@@ -54,10 +54,10 @@
  This package provides the runtime environment for XIR.
 
 Package: libxir-dev
-Architecture: amd64 arm64 armhf
+Architecture: amd64 arm64 armhf armel
 Section: libdevel
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}, libxir1 (= ${binary:Version})
+Depends: ${misc:Depends}, ${shlibs:Depends}, libxir2 (= ${binary:Version})
 Description: Xilinx Intermediate Representation (XIR) for deep learning algorithms (develop)
  Xilinx Intermediate Representation (XIR) is a graph based
  intermediate representation of the AI algorithms which is well
@@ -92,9 +92,9 @@
  This package provides the development environment for XIR.
 
 Package: libxir-utils
-Architecture: amd64 arm64 armhf
+Architecture: amd64 arm64 armhf armel
 Section: utils
-Depends: ${misc:Depends}, ${shlibs:Depends}, libxir1 (= ${binary:Version})
+Depends: ${misc:Depends}, ${shlibs:Depends}, libxir2 (= ${binary:Version})
 Description: Xilinx Intermediate Representation (XIR) for deep learning algorithms (utils)
  Xilinx Intermediate Representation (XIR) is a graph based
  intermediate representation of the AI algorithms which is well
